Bug 20234 - Make maintenance scripts use koha-zebra instead of koha-*-zebra
Summary: Make maintenance scripts use koha-zebra instead of koha-*-zebra
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 17467
Blocks: 17468 19610 20745
  Show dependency treegraph
 
Reported: 2018-02-17 14:18 UTC by Tomás Cohen Arazi
Modified: 2018-05-16 06:32 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20234: Make maintenance scripts use koha-zebra instead of koha-*-zebra (4.73 KB, patch)
2018-02-17 14:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20234: Update ervice description in koha-common.init (1.29 KB, patch)
2018-02-17 14:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20234: Make maintenance scripts use koha-zebra instead of koha-*-zebra (4.74 KB, patch)
2018-02-20 11:35 UTC, Hugo Agud
Details | Diff | Splinter Review
Bug 20234: Update ervice description in koha-common.init (1.33 KB, patch)
2018-02-20 11:35 UTC, Hugo Agud
Details | Diff | Splinter Review
Bug 20234: Make maintenance scripts use koha-zebra instead of koha-*-zebra (4.79 KB, patch)
2018-02-21 17:14 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20234: Update service description in koha-common.init (1.38 KB, patch)
2018-02-21 17:14 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-02-17 14:18:32 UTC
The koha-*-zebra commands are deprecated so they shouldn't be used.
Comment 1 Tomás Cohen Arazi 2018-02-17 14:51:17 UTC
Created attachment 71881 [details] [review]
Bug 20234: Make maintenance scripts use koha-zebra instead of koha-*-zebra

This patch makes all maintenance scripts use **koha-zebra** instead of
the old **koha-*-zebra** scripts.

To test:
- Run:
  $ perl misc4dev/cp_debian_files.pl
  $ sudo service koha-common stop
=> SUCCESS: No errors and the Zebra-related sevices are stopped
  $ sudo service koha-common start
=> SUCCESS: No errors and the Zebra-related services are started
  $ sudo service koha-common restart
=> SUCCESS: No erros and Zebra-related services are running
  $ sudo koha-create --create-db test
=> SUCCESS: Instance created and zebra running for it
  $ sudo koha-disable test
=> SUCCESS: No errors and Zebra is stopped for instance test
  $ sudo koha-zebra --start test
  $ sudo koha-remove test
=> SUCCESS: No errors, instance removed, no Zebra running for test
- Sign off :-D

Sponsored-by: Orex Digital
Comment 2 Tomás Cohen Arazi 2018-02-17 14:51:24 UTC
Created attachment 71882 [details] [review]
Bug 20234: Update ervice description in koha-common.init

The service description is very old and outdated. This patch fixes this.

Sponsored-by: Orex Digital
Comment 3 Hugo Agud 2018-02-20 11:35:33 UTC
Created attachment 71995 [details] [review]
Bug 20234: Make maintenance scripts use koha-zebra instead of koha-*-zebra

This patch makes all maintenance scripts use **koha-zebra** instead of
the old **koha-*-zebra** scripts.

To test:
- Run:
  $ perl misc4dev/cp_debian_files.pl
  $ sudo service koha-common stop
=> SUCCESS: No errors and the Zebra-related sevices are stopped
  $ sudo service koha-common start
=> SUCCESS: No errors and the Zebra-related services are started
  $ sudo service koha-common restart
=> SUCCESS: No erros and Zebra-related services are running
  $ sudo koha-create --create-db test
=> SUCCESS: Instance created and zebra running for it
  $ sudo koha-disable test
=> SUCCESS: No errors and Zebra is stopped for instance test
  $ sudo koha-zebra --start test
  $ sudo koha-remove test
=> SUCCESS: No errors, instance removed, no Zebra running for test
- Sign off :-D

Sponsored-by: Orex Digital

Signed-off-by: Hugo Agud hagud@orex.es
Comment 4 Hugo Agud 2018-02-20 11:35:36 UTC
Created attachment 71996 [details] [review]
Bug 20234: Update ervice description in koha-common.init

The service description is very old and outdated. This patch fixes this.

Sponsored-by: Orex Digital

Signed-off-by: Your Full Name <your_email>
Comment 5 Josef Moravec 2018-02-21 17:14:41 UTC
Created attachment 72038 [details] [review]
Bug 20234: Make maintenance scripts use koha-zebra instead of koha-*-zebra

This patch makes all maintenance scripts use **koha-zebra** instead of
the old **koha-*-zebra** scripts.

To test:
- Run:
  $ perl misc4dev/cp_debian_files.pl
  $ sudo service koha-common stop
=> SUCCESS: No errors and the Zebra-related sevices are stopped
  $ sudo service koha-common start
=> SUCCESS: No errors and the Zebra-related services are started
  $ sudo service koha-common restart
=> SUCCESS: No erros and Zebra-related services are running
  $ sudo koha-create --create-db test
=> SUCCESS: Instance created and zebra running for it
  $ sudo koha-disable test
=> SUCCESS: No errors and Zebra is stopped for instance test
  $ sudo koha-zebra --start test
  $ sudo koha-remove test
=> SUCCESS: No errors, instance removed, no Zebra running for test
- Sign off :-D

Sponsored-by: Orex Digital

Signed-off-by:  Hugo Agud hagud@orex.es

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2018-02-21 17:14:45 UTC
Created attachment 72039 [details] [review]
Bug 20234: Update service description in koha-common.init

The service description is very old and outdated. This patch fixes this.

Sponsored-by: Orex Digital

Signed-off-by: Hugo Agud hagud@orex.es

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Jonathan Druart 2018-02-27 18:59:42 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2018-04-06 17:47:43 UTC
Awesome work all, backported to stable for 17.11.05
Comment 9 Fridolin SOMERS 2018-04-10 07:03:33 UTC
Pushed to 17.05.x for v17.05.11
Comment 10 Jonathan Druart 2018-05-14 21:27:12 UTC
(In reply to Fridolin SOMERS from comment #9)
> Pushed to 17.05.x for v17.05.11

Why? You did not pick bug 17467. You should revert this from 17.05.x
Comment 11 Fridolin SOMERS 2018-05-16 06:32:03 UTC
(In reply to Jonathan Druart from comment #10)
> (In reply to Fridolin SOMERS from comment #9)
> > Pushed to 17.05.x for v17.05.11
> 
> Why? You did not pick bug 17467. You should revert this from 17.05.x

I'm very sorry, I missed the dependency.
Revert pushed for v17.05.12